Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.crypto
Class PrivateKey.Type

    java.lang.Object
      |
      +--org.mozilla.jss.crypto.PrivateKey.Type

Enclosing class:
  PrivateKey

public static final class PrivateKey.Type
extends java.lang.Object

Field Summary
`private static int` | `CKK_DH`
`private static int` | `CKK_DSA`
`private static int` | `CKK_RSA`
`static OBJECT_IDENTIFIER` | `DH_OID`
`static PrivateKey.Type` | `DiffieHellman`
`static PrivateKey.Type` | `DSA`
`private java.lang.String` | `name`
`private OBJECT_IDENTIFIER` | `oid`
`private static java.util.Hashtable` | `oidMap`
`private int` | `pkcs11Type`
`static PrivateKey.Type` | `RSA`

Constructor Summary
`private` | `PrivateKey.Type()`
`private` | `PrivateKey.Type(OBJECT_IDENTIFIER oid, java.lang.String name, int pkcs11Type)`

Method Summary
`static PrivateKey.Type` | `fromOID(OBJECT_IDENTIFIER oid)`
`int` | `getPKCS11Type()`
`OBJECT_IDENTIFIER` | `toOID()`
`java.lang.String` | `toString()` Returns a string representation of the algorithm, such as "RSA" or "DSA".

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### oid

    private OBJECT_IDENTIFIER oid

### name

    private java.lang.String name

### pkcs11Type

    private int pkcs11Type

### oidMap

    private static java.util.Hashtable oidMap

### DH_OID

    public static OBJECT_IDENTIFIER DH_OID

### CKK_RSA

    private static int CKK_RSA

### CKK_DSA

    private static int CKK_DSA

### CKK_DH

    private static int CKK_DH

### RSA

    public static final PrivateKey.Type RSA

### DSA

    public static final PrivateKey.Type DSA

### DiffieHellman

    public static final PrivateKey.Type DiffieHellman

Constructor Detail

### PrivateKey.Type

    private PrivateKey.Type()

### PrivateKey.Type

    private PrivateKey.Type(OBJECT_IDENTIFIER oid,
                            java.lang.String name,
                            int pkcs11Type)

Method Detail

### fromOID

    public static PrivateKey.Type fromOID(OBJECT_IDENTIFIER oid)
                                   throws java.security.NoSuchAlgorithmException

    `java.security.NoSuchAlgorithmException`

### toString

    public java.lang.String toString()

  Returns a string representation of the algorithm, such as "RSA" or "DSA".

  Overrides:
    `toString` in class `java.lang.Object`

### toOID

    public OBJECT_IDENTIFIER toOID()

### getPKCS11Type

    public int getPKCS11Type()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD